Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.persistence
Enum FlushModeType

    java.lang.Object
      java.lang.Enum<FlushModeType>
          javax.persistence.FlushModeType

All Implemented Interfaces:
  Serializable, Comparable<FlushModeType>

    public enum FlushModeType

extends Enum<FlushModeType>

Flush mode setting. When queries are executed within a transaction, if FlushModeType.AUTO is set on the Query object, or if the flush mode setting for the persistence context is AUTO (the default) and a flush mode setting has not been specified for the Query object, the persistence provider is responsible for ensuring that all updates to the state of all entities in the persistence context which could potentially affect the result of the query are visible to the processing of the query. The persistence provider implementation may achieve this by flushing those entities to the database or by some other means. If FlushModeType.COMMIT is set, the effect of updates made to entities in the persistence context upon queries is unspecified. If there is no transaction active, the persistence provider must not flush to the database.

Author:
  Gavin King

Enum Constant Summary
`AUTO` (Default) Flushing to occur at query execution
`COMMIT` Flushing must occur only at transaction commit

Method Summary
`static FlushModeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FlushModeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COMMIT

    public static final FlushModeType COMMIT

  Flushing must occur only at transaction commit

### AUTO

    public static final FlushModeType AUTO

  (Default) Flushing to occur at query execution

Method Detail

### values

    public static final FlushModeType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(FlushModeType c : FlushModeType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static FlushModeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD